<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_202) on Mon Jun 03 13:13:18 CEST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Player (Master POM 0.0.1-SNAPSHOT API)</title>
<meta name="date" content="2019-06-03">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Player (Master POM 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Player.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../model/Element/Moves.html" title="interface in model.Element"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../model/Element/Rock.html" title="class in model.Element"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/Element/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">model.Element</div>
<h2 title="Class Player" class="title">Class Player</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../model/Element/Element.html" title="class in model.Element">model.Element.Element</a></li>
<li>
<ul class="inheritance">
<li><a href="../../model/Element/Living.html" title="class in model.Element">model.Element.Living</a></li>
<li>
<ul class="inheritance">
<li>model.Element.Player</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../model/Element/IElement.html" title="interface in model.Element">IElement</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Player</span>
extends <a href="../../model/Element/Living.html" title="class in model.Element">Living</a></pre>
<div class="block">The Class Player.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/Player.html#SPRITE">SPRITE</a></span></code>
<div class="block">The sprite.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.model.Element.Element">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;model.Element.<a href="../../model/Element/Element.html" title="class in model.Element">Element</a></h3>
<code><a href="../../model/Element/Element.html#sprite">sprite</a>, <a href="../../model/Element/Element.html#walk">walk</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../model/Element/Player.html#Player--">Player</a></span>()</code>
<div class="block">Instantiates a new player.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/Player.html#death-int-int-model.Map-">death</a></span>(int&nbsp;x,
     int&nbsp;y,
     <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Death.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/Player.html#destruction-int-int-model.Map-">destruction</a></span>(int&nbsp;x,
           int&nbsp;y,
           <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Destruction.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/Player.html#move-int-int-int-model.Map-">move</a></span>(int&nbsp;x,
    int&nbsp;y,
    int&nbsp;direction,
    <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/Player.html#moveDown-int-int-model.Map-">moveDown</a></span>(int&nbsp;x,
        int&nbsp;y,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move down.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/Player.html#moveLeft-int-int-model.Map-">moveLeft</a></span>(int&nbsp;x,
        int&nbsp;y,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move left.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/Player.html#moveRight-int-int-model.Map-">moveRight</a></span>(int&nbsp;x,
         int&nbsp;y,
         <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move right.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/Player.html#moveUp-int-int-model.Map-">moveUp</a></span>(int&nbsp;x,
      int&nbsp;y,
      <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move up.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/Player.html#walkOver-int-int-char-model.Map-">walkOver</a></span>(int&nbsp;x,
        int&nbsp;y,
        char&nbsp;direction,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Walk over.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.model.Element.Element">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;model.Element.<a href="../../model/Element/Element.html" title="class in model.Element">Element</a></h3>
<code><a href="../../model/Element/Element.html#getSprite--">getSprite</a>, <a href="../../model/Element/Element.html#isWalk--">isWalk</a>, <a href="../../model/Element/Element.html#setWalk-int-">setWalk</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="SPRITE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SPRITE</h4>
<pre>private static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SPRITE</pre>
<div class="block">The sprite.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Player--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Player</h4>
<pre>public&nbsp;Player()</pre>
<div class="block">Instantiates a new player.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="destruction-int-int-model.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>destruction</h4>
<pre>public&nbsp;void&nbsp;destruction(int&nbsp;x,
                        int&nbsp;y,
                        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</pre>
<div class="block">Destruction.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../model/Element/IElement.html#destruction-int-int-model.Map-">destruction</a></code>&nbsp;in interface&nbsp;<code><a href="../../model/Element/IElement.html" title="interface in model.Element">IElement</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../model/Element/Element.html#destruction-int-int-model.Map-">destruction</a></code>&nbsp;in class&nbsp;<code><a href="../../model/Element/Element.html" title="class in model.Element">Element</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the x</dd>
<dd><code>y</code> - the y</dd>
<dd><code>map</code> - the map</dd>
</dl>
</li>
</ul>
<a name="death-int-int-model.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>death</h4>
<pre>public&nbsp;void&nbsp;death(int&nbsp;x,
                  int&nbsp;y,
                  <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</pre>
<div class="block">Death.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../model/Element/Living.html#death-int-int-model.Map-">death</a></code>&nbsp;in class&nbsp;<code><a href="../../model/Element/Living.html" title="class in model.Element">Living</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the x</dd>
<dd><code>y</code> - the y</dd>
<dd><code>map</code> - the map</dd>
</dl>
</li>
</ul>
<a name="walkOver-int-int-char-model.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>walkOver</h4>
<pre>public&nbsp;void&nbsp;walkOver(int&nbsp;x,
                     int&nbsp;y,
                     char&nbsp;direction,
                     <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</pre>
<div class="block">Walk over.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../model/Element/IElement.html#walkOver-int-int-char-model.Map-">walkOver</a></code>&nbsp;in interface&nbsp;<code><a href="../../model/Element/IElement.html" title="interface in model.Element">IElement</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../model/Element/Element.html#walkOver-int-int-char-model.Map-">walkOver</a></code>&nbsp;in class&nbsp;<code><a href="../../model/Element/Element.html" title="class in model.Element">Element</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the x</dd>
<dd><code>y</code> - the y</dd>
<dd><code>direction</code> - the direction</dd>
<dd><code>map</code> - the map</dd>
</dl>
</li>
</ul>
<a name="move-int-int-int-model.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>move</h4>
<pre>public&nbsp;void&nbsp;move(int&nbsp;x,
                 int&nbsp;y,
                 int&nbsp;direction,
                 <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</pre>
<div class="block">Move.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../model/Element/IElement.html#move-int-int-int-model.Map-">move</a></code>&nbsp;in interface&nbsp;<code><a href="../../model/Element/IElement.html" title="interface in model.Element">IElement</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../model/Element/Element.html#move-int-int-int-model.Map-">move</a></code>&nbsp;in class&nbsp;<code><a href="../../model/Element/Element.html" title="class in model.Element">Element</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the x</dd>
<dd><code>y</code> - the y</dd>
<dd><code>direction</code> - the direction</dd>
<dd><code>map</code> - the map</dd>
</dl>
</li>
</ul>
<a name="moveUp-int-int-model.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveUp</h4>
<pre>public&nbsp;void&nbsp;moveUp(int&nbsp;x,
                   int&nbsp;y,
                   <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</pre>
<div class="block">Move up.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the x</dd>
<dd><code>y</code> - the y</dd>
<dd><code>map</code> - the map</dd>
</dl>
</li>
</ul>
<a name="moveDown-int-int-model.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveDown</h4>
<pre>public&nbsp;void&nbsp;moveDown(int&nbsp;x,
                     int&nbsp;y,
                     <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</pre>
<div class="block">Move down.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the x</dd>
<dd><code>y</code> - the y</dd>
<dd><code>map</code> - the map</dd>
</dl>
</li>
</ul>
<a name="moveLeft-int-int-model.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveLeft</h4>
<pre>public&nbsp;void&nbsp;moveLeft(int&nbsp;x,
                     int&nbsp;y,
                     <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</pre>
<div class="block">Move left.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the x</dd>
<dd><code>y</code> - the y</dd>
<dd><code>map</code> - the map</dd>
</dl>
</li>
</ul>
<a name="moveRight-int-int-model.Map-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>moveRight</h4>
<pre>public&nbsp;void&nbsp;moveRight(int&nbsp;x,
                      int&nbsp;y,
                      <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</pre>
<div class="block">Move right.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the x</dd>
<dd><code>y</code> - the y</dd>
<dd><code>map</code> - the map</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Player.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../model/Element/Moves.html" title="interface in model.Element"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../model/Element/Rock.html" title="class in model.Element"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/Element/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
